const Style = {
    Wall: {
        strokeStyle: 'rgba(0,0,0,1)',
        lineWidth: 2,
        error: {
            strokeStyle: 'rgba(255,0,0,0.5)',
            fillStyle: 'rgba(255,0,0,0.8)',
        },
    },
    Point: {
        strokeStyle: 'rgba(0,128,0, 1)',
        fillStyle: 'rgba(0, 200, 175, 1)',
        radius: 4,
    },
    Tag: {
        strokeStyle: 'rgba(0,0,0,1)',
        fillStyle: 'rgba(0,0,0,1)',
        strokeStyle_adding: 'rgba(243, 255, 0, 0.8)',
        fillStyle_adding: 'rgba(243, 255, 0, 0.8)',
        lineWidth: 1,
    },
    Sign: {
        strokeStyle: 'rgba(0,0,0,1)',
        fillStyle: 'rgba(0,0,0,0)',
        lineWidth: 1,
    },
    Title: {
        strokeStyle: 'rgba(0,0,0,1)',
        fillStyle: 'rgba(0,0,0,1)',
        lineWidth: 1,
    },
    Compass: {
        strokeStyle: 'rgba(0,0,0,1)',
        fillStyle: 'rgba(0,0,0,0)',
        lineWidth: 1,
    },
    Rectangle:{
        strokeStyle: 'rgba(0,0,0,1)',
        lineWidth: 2,
    },
    Circle:{
        strokeStyle: 'rgba(0,0,0,1)',
        lineWidth: 2,
    },
    Icon:{
        strokeStyle: 'rgba(0,0,0,1)',
        lineWidth: 2,
    },
    Arrow: {
        strokeStyle: 'rgba(0,0,0,1)',
        lineWidth: 2,
    },
    Table:{
        strokeStyle: 'rgba(0,0,0,1)',
        lineWidth: 2,
    },
    Select: {
        Wall: {
            strokeStyle: 'rgba(0,128,0,1)',
        },
        Rectangle: {
            strokeStyle: 'rgba(0,128,0,1)',
            fillStyle: 'rgba(243, 255, 0, 0.5)',
        },
        Circle: {
            strokeStyle: 'rgba(0,128,0,1)',
            fillStyle: 'rgba(243, 255, 0, 0.5)',
        },
        Icon: {
            strokeStyle: 'rgba(0,128,0,1)',
            fillStyle: 'rgba(243, 255, 0, 0.5)',
        },
        Arrow: {
            strokeStyle: 'rgba(0,128,0,1)',
        },
        Tag: {
            strokeStyle: 'rgba(0,200,175,1)',
            fillStyle: 'rgba(0,200,175,1)',
        },
        Table: {
            //strokeStyle: 'rgba(0,128,0,1)',
            //fillStyle: 'rgba(243, 255, 0, 0.5)',
            strokeStyle: 'rgba(0,200,175,1)',
            fillStyle: 'rgba(0,200,175,1)',
        },
        Sign: {
            //strokeStyle: 'rgba(243, 255, 0, 0.8)',
            //fillStyle: 'rgba(243, 255, 0, 0.5)',
            strokeStyle: 'rgba(0,200,175,1)',
            fillStyle: 'rgba(0,200,175,1)',
        },
        Point: {
            radius: 4,
            lineWidth: 2,
            fillStyle: 'rgba(0, 200, 175,1)',
            strokeStyle: 'rgba(0,128,0,1)',
        },
        Title: {
            strokeStyle: 'rgba(0,200,175,1)',
            fillStyle: 'rgba(0,200,175,1)',
        },
        Compass: {
            //strokeStyle: 'rgba(243, 255, 0, 0.8)',
            //fillStyle: 'rgba(243, 255, 0, 0.5)',
            strokeStyle: 'rgba(0,200,175,1)',
            fillStyle: 'rgba(0,200,175,1)',
        },
    },
    Focus: {
        Wall: {
            strokeStyle: 'rgba(0,128,0,1)',
        },
        Rectangle: {
            strokeStyle: 'rgba(0,128,0,1)',
            fillStyle: 'rgba(243, 255, 0, 0.5)',
        },
        Circle: {
            strokeStyle: 'rgba(0,128,0,1)',
            fillStyle: 'rgba(243, 255, 0, 0.5)',
        },
        Icon: {
            strokeStyle: 'rgba(0,128,0,1)',
            fillStyle: 'rgba(243, 255, 0, 0.5)',
        },
        Arrow: {
            strokeStyle: 'rgba(0,128,0,1)',
        },
        Tag: {
            strokeStyle: 'rgba(0,200,175,1)',
            fillStyle: 'rgba(0,200,175,1)',
        },
        Table: {
            //strokeStyle: 'rgba(0,128,0,1)',
            //fillStyle: 'rgba(243, 255, 0, 0.5)',
            strokeStyle: 'rgba(0,200,175,1)',
            fillStyle: 'rgba(0,200,175,1)',
        },
        Sign: {
            //strokeStyle: 'rgba(243, 255, 0, 0.8)',
            //fillStyle: 'rgba(243, 255, 0, 0.5)',
            strokeStyle: 'rgba(0,200,175,1)',
            fillStyle: 'rgba(0,200,175,1)',
        },
        Point: {
            radius: 4,
            lineWidth: 2,
            fillStyle: 'rgba(245, 255, 0, 1)',
            strokeStyle: 'rgba(0,128,0,1)',
        },
        Title: {
            strokeStyle: 'rgba(0,200,175,1)',
            fillStyle: 'rgba(0,200,175,1)',
        },
        Compass: {
            //strokeStyle: 'rgba(243, 255, 0, 0.8)',
            //fillStyle: 'rgba(243, 255, 0, 0.5)',
            strokeStyle: 'rgba(0,200,175,1)',
            fillStyle: 'rgba(0,200,175,1)',
        },
    },
    Element: {
        StartAddWall: {
            radius: 4,
            fillStyle: 'rgba(0, 200, 175, 1)',
            strokeStyle: 'rgba(0,128,0,1)',
        },
        NewWall: {
            lineWidth: 2,
            strokeStyle: 'rgba(0,0,0,0.3)',
            errorStrokeStyle: 'rgba(250,63,72,0.3)',
        },
        CheckLinesX: {
            lineWidth: 2,
            strokeStyle: 'rgba(206,216,6,1)',
        },
        CheckLinesY: {
            lineWidth: 2,
            strokeStyle: 'rgba(206,216,6,1)',
        },
        VCheckLinesX: {
            lineWidth: 2,
            strokeStyle: 'rgba(206,216,6,1)',
            //strokeStyle: 'rgba(100,149,237,0.5)',
        },
        VCheckLinesY: {
            lineWidth: 2,
            strokeStyle: 'rgba(206,216,6,1)',
            //strokeStyle: 'rgba(100,149,237,0.5)',
        },
    },
    // eslint-disable-next-line no-dupe-keys
    Title: {
        font: '24px Microsoft YaHei',
        fillStyle: 'rgba(0,0,0,1)',
        strokeStyle: 'rgba(0,0,0,1)',
        textAlign: 'center',
        textBaseline: 'middle',
        miterLimit: 10,
        direction: 'ltr',
        fontSize:24
    },
    Font: {
        //font: '14px Microsoft YaHei',
        font: 'px Microsoft YaHei',
        fillStyle: 'rgba(0,0,0,1)',
        strokeStyle: 'rgba(0,0,0,1)',
        textAlign: 'center',
        textBaseline: 'middle',
        miterLimit: 10,
        direction: 'ltr',
    },
}
export default Style
